# Run behave test manually

Change to the `test/behave` directory and run:

For nextcloud test:

    behave -D nextcloud.url=https://files.example.openappstack.net \
           -D nextcloud.password="$(cat ../../ansible/cluster_data/secrets/nextcloud_admin_password)" \
           -t nextcloud

For grafana test:

    behave -D grafana.url=https://grafana.example.openappstack.net \
           -D grafana.password="$(cat ../../ansible/cluster_data/secrets/grafana_admin_password)" \
           -t grafana


# Run behave tests in openappstack-ci docker image

    docker run --rm -it open.greenhost.net:4567/openappstack/openappstack/openappstack-ci sh

      apk --no-cache add git
      git clone https://open.greenhost.net/openappstack/openappstack.git
      cd openappstack/test/behave
      behave -D nextcloud.url=https://files.ci-20410.ci.openappstack.net \
       -D nextcloud.admin.password=…
